com.opensymphony.xwork2.validator.validators

## Class FieldExpressionValidator

- java.lang.Object
- - com.opensymphony.xwork2.validator.validators.ValidatorSupport
  - - com.opensymphony.xwork2.validator.validators.FieldValidatorSupport
    - - com.opensymphony.xwork2.validator.validators.FieldExpressionValidator

- All Implemented Interfaces:
    FieldValidator, ShortCircuitableValidator, Validator

      public class FieldExpressionValidator
      extends FieldValidatorSupport

  Validates a field using an OGNL expression.
  - fieldName - The field name this validator is validating. Required if using Plain-Validator Syntax otherwise not required
  - expression - The Ognl expression (must evaluate to a boolean) which is to be evalidated the stack

          <!-- Plain Validator Syntax -->
          <validators>
              <!-- Plain Validator Syntax -->
              <validator type="fieldexpression">
                 <param name="fieldName">myField</param>
                 <param name="expression"><![CDATA[#myCreditLimit > #myGirfriendCreditLimit]]></param>
                 <message>My credit limit should be MORE than my girlfriend</message>
              <validator>

              <!-- Field Validator Syntax -->
              <field name="myField">
                  <field-validator type="fieldexpression">
                      <param name="expression"><![CDATA[#myCreditLimit > #myGirfriendCreditLimit]]></param>
                      <message>My credit limit should be MORE than my girlfriend</message>
                  </field-validator>
              </field>

          </vaidators>

- - ### Field Summary

    - ### Fields inherited from class com.opensymphony.xwork2.validator.validators.FieldValidatorSupport

      `currentValue, fieldName, type`

    - ### Fields inherited from class com.opensymphony.xwork2.validator.validators.ValidatorSupport

      `defaultMessage, EMPTY_STRING, messageKey, stack, textProviderFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FieldExpressionValidator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getExpression()`
    `void` | `setExpression(String expression)`
    `void` | `validate(Object object)` The validation implementation must guarantee that setValidatorContext will be called with a non-null ValidatorContext before validate is called.

    - ### Methods inherited from class com.opensymphony.xwork2.validator.validators.FieldValidatorSupport

      `getCurrentValue, getFieldName, getValidatorType, setFieldName, setValidatorType`

    - ### Methods inherited from class com.opensymphony.xwork2.validator.validators.ValidatorSupport

      `addActionError, addFieldError, getDefaultMessage, getFieldValue, getMessage, getMessageKey, getMessageParameters, getValidatorContext, isShortCircuit, parse, setDefaultMessage, setMessageKey, setMessageParameters, setShortCircuit, setTextProviderFactory, setValidatorContext, setValueStack`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.opensymphony.xwork2.validator.Validator

      `getDefaultMessage, getMessage, getMessageKey, getMessageParameters, getValidatorContext, setDefaultMessage, setMessageKey, setMessageParameters, setValidatorContext, setValueStack`

- - ### Constructor Detail

    - #### FieldExpressionValidator

          public FieldExpressionValidator()

  - ### Method Detail

    - #### setExpression

          public void setExpression(String expression)

    - #### getExpression

          public String getExpression()

    - #### validate

          public void validate(Object object)
                        throws ValidationException

      Description copied from interface: `Validator`
      The validation implementation must guarantee that setValidatorContext will be called with a non-null ValidatorContext before validate is called.
      Parameters:
        `object` - the object to be validated.
      Throws:
        `ValidationException` - is thrown if there is validation error(s).

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.